> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plutus.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Simulation



## OpenAPI

````yaml POST /submit/job
openapi: 3.1.0
info:
  title: 'Asclepius: API'
  description: Internal REST API for the Asclepius Molecular Dynamics Engine
  termsOfService: http://example.com/terms/
  contact:
    name: Support Team
    url: https://www.vorticity.xyz/
    email: hello@vorticity.xyz
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
  version: 0.1.0
servers:
  - url: https://98i2es6mi4.execute-api.us-west-2.amazonaws.com/prod
    description: Prod
security:
  - ApiKeyAuth: []
paths:
  /submit/job:
    post:
      summary: Submit Job
      operationId: submit_job_submit_job_post
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JobCreateParams'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JobCreateParams:
      properties:
        box_id:
          type: string
          minLength: 1
          title: Box Id
          description: Associated system/box id
        batch_index:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Batch Index
          description: Index of this job in the batch
        batch_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Batch Name
          description: Human-friendly batch name
        equilibration:
          anyOf:
            - items:
                $ref: '#/components/schemas/EquilibrationStep'
              type: array
            - type: 'null'
          title: Equilibration
          description: Equilibration stages to run before production
        production:
          anyOf:
            - $ref: '#/components/schemas/ProductionParams'
            - type: 'null'
          description: Production simulation parameters
        temperature:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Temperature
          description: Temperature (K)
        pressure:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Pressure
          description: Pressure (bar)
        surface_tension:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Surface Tension
          description: Surface tension (bar·nm)
        friction:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Friction
          description: Friction coefficient (ps⁻¹)
        integration_timestep:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
          title: Integration Timestep
          description: Time step (fs)
        ewald_error_tolerance:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
          title: Ewald Error Tolerance
          description: PME/Ewald error tolerance
        non_bonded_cutoff:
          anyOf:
            - type: number
              exclusiveMinimum: 0
            - type: 'null'
          title: Non Bonded Cutoff
          description: Non-bonded cutoff (nm)
        minimization_steps:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Minimization Steps
          description: Energy minimization steps
        trajectory_output_format:
          anyOf:
            - $ref: '#/components/schemas/TrajectoryFormats'
            - type: 'null'
          description: e.g., 'dcd'
      type: object
      title: JobCreateParams
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EquilibrationStep:
      properties:
        traj_freq:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Traj Freq
          description: Trajectory write frequency (steps)
        time:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Time
          description: Simulation time (ns) for this step
        log_freq:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Log Freq
          description: Log write frequency (steps)
        type:
          anyOf:
            - $ref: '#/components/schemas/Ensembles'
            - type: 'null'
          description: Ensemble type, e.g., 'NVT' or 'NPT'
        restraint_force:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Restraint Force
          description: Restraint force (kJ/mol·nm²)
        restraint_mask:
          anyOf:
            - type: string
            - type: 'null'
          title: Restraint Mask
          description: Atom selection mask for restraints
      type: object
      title: EquilibrationStep
    ProductionParams:
      properties:
        traj_freq:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Traj Freq
          description: Trajectory write frequency (steps)
        time:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Time
          description: Production simulation time (ns)
        log_freq:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Log Freq
          description: Log write frequency (steps)
        type:
          anyOf:
            - $ref: '#/components/schemas/Ensembles'
            - type: 'null'
          description: Ensemble type, e.g., 'NPT'
      type: object
      title: ProductionParams
    TrajectoryFormats:
      type: string
      enum:
        - dcd
      title: TrajectoryFormats
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Ensembles:
      type: string
      enum:
        - NPT
        - NVT
      title: Ensembles
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````